<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:src ="http://purl.oclc.org/dsdl/9573-11amd1/ns/structure/1.0" version="1.0">
  <xsl:variable name="year" select="substring(/src:document/src:head/src:date, 0, 5)"/>
  <xsl:variable name="lng" select="/src:document/src:head/src:document-language/text()"/>
  <xsl:variable name="dcode">
    <xsl:for-each select="/src:document/src:head">
      <xsl:call-template name="docsource">
        <xsl:with-param name="source" select="src:organization"/>
      </xsl:call-template>
      <xsl:value-of select="src:document-number"/>
      <xsl:if test="src:part-number">
        <xsl:text>-</xsl:text>
        <xsl:value-of select="src:part-number"/>
      </xsl:if>
    </xsl:for-each>
  </xsl:variable>
  <xsl:template name="docsource">
    <xsl:param name="source"/>
    <xsl:choose>
      <xsl:when test="$source='ISOIEC'">
        <xsl:text>ISO/IEC </xsl:text>
      </xsl:when>
      <xsl:when test="$source='ISO'">
        <xsl:text>ISO </xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="langid">
    <xsl:param name="lang"/>
    <xsl:choose>
      <xsl:when test="$lang='E'">
        <xsl:text>E</xsl:text>
      </xsl:when>
      <xsl:when test="$lang='F'">
        <xsl:text>F</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="refnum">
    <xsl:value-of select="$dcode"/>
    <xsl:text>:</xsl:text>
    <xsl:value-of select="$year"/>
    <xsl:text>(</xsl:text>
    <xsl:call-template name="langid">
      <xsl:with-param name="lang" select="$lng"/>
    </xsl:call-template>
    <xsl:text>)</xsl:text>
  </xsl:template>
  <xsl:template name="docstat">
    <xsl:param name="status"/>
    <xsl:param name="lang"/>
    <xsl:choose>
      <xsl:when test="$status='IS'">
        <xsl:call-template name="isstr">
          <xsl:with-param name="lang" select="$lng"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$status='TR'">
        <xsl:call-template name="trstr">
          <xsl:with-param name="lang" select="$lng"/>
        </xsl:call-template>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>